aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_b.sh
diff options
context:
space:
mode:
authorSjors Provoost <sjors@sprovoost.nl>2019-10-14 23:00:49 +0200
committerSjors Provoost <sjors@sprovoost.nl>2019-10-14 23:00:49 +0200
commit1f6c650c99eb94fdd0cbdd528aa3405201de08c2 (patch)
tree17f9520cf4d995dafe94902119afb13bdf583d55 /ci/test/06_script_b.sh
parent42d0eca725a83c999e2b67e33dfc7bcc96288dc3 (diff)
downloadbitcoin-1f6c650c99eb94fdd0cbdd528aa3405201de08c2.tar.xz
travis: run tests on macOS native
Review hint: git show -w Co-authored-by: MarcoFalke <falke.marco@gmail.com> Co-authored-by: keneanung <keneanung@googlemail.com> Co-authored-by: Vadim Peretokin <vperetokin@gmail.com>
Diffstat (limited to 'ci/test/06_script_b.sh')
-rwxr-xr-xci/test/06_script_b.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/test/06_script_b.sh b/ci/test/06_script_b.sh
index 1a5217277a..048fe06c84 100755
--- a/ci/test/06_script_b.sh
+++ b/ci/test/06_script_b.sh
@@ -6,7 +6,10 @@
export LC_ALL=C.UTF-8
+# Temporarily disable errexit, because Travis macOS fails without error message
+set +o errexit
cd "build/bitcoin-$HOST" || (echo "could not enter distdir build/bitcoin-$HOST"; exit 1)
+set -o errexit
if [ -n "$QEMU_USER_CMD" ]; then
BEGIN_FOLD wrap-qemu
@@ -46,4 +49,6 @@ if [ "$RUN_FUZZ_TESTS" = "true" ]; then
END_FOLD
fi
+set +o errexit
cd ${BASE_BUILD_DIR} || (echo "could not enter travis build dir $BASE_BUILD_DIR"; exit 1)
+set -o errexit